Package org.eclipse.mat.util

## Class IProgressListener.OperationCanceledException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.mat.util.IProgressListener.OperationCanceledException

All Implemented Interfaces:
  `java.io.Serializable`

Enclosing interface:
  IProgressListener

    public static class IProgressListener.OperationCanceledException
    extends java.lang.RuntimeException

Helper exception class which can be used to exit an operation via an exception if the operation itself has been canceled. This exception is not thrown by the listener itself - this has to be done by the implementation using it. It is only available here for convenience reasons to get rid of the various CanceledException throughout the code.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`OperationCanceledException()`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OperationCanceledException

    public OperationCanceledException()